> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# returns a vcs connection for an org

> Return a VCS connection by id.




## OpenAPI

````yaml get /v1/vcs/connections/{connection_id}
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1031
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: general
    name: general
  - description: accounts
    name: accounts
  - description: actions/runner
    name: actions/runner
  - description: runbooks
    name: runbooks
  - description: policy-reports
    name: policy-reports
  - description: actions
    name: actions
  - description: notebooks
    name: notebooks
  - description: installs
    name: installs
  - description: apps
    name: apps
  - description: onboarding
    name: onboarding
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: orgs
    name: orgs
  - description: runners/runner
    name: runners/runner
  - description: auth
    name: auth
  - description: slack
    name: slack
  - description: components
    name: components
  - description: queues
    name: queues
paths:
  /v1/vcs/connections/{connection_id}:
    get:
      tags:
        - vcs
      summary: returns a vcs connection for an org
      description: |
        Return a VCS connection by id.
      operationId: GetVCSConnection
      parameters:
        - description: connection ID
          in: path
          name: connection_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.VCSConnection'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    app.VCSConnection:
      properties:
        created_at:
          type: string
        created_by_id:
          type: string
        github_account_id:
          type: string
        github_account_name:
          type: string
        github_install_id:
          type: string
        id:
          type: string
        queues:
          items:
            $ref: '#/components/schemas/app.Queue'
          type: array
        status:
          $ref: '#/components/schemas/app.CompositeStatus'
        updated_at:
          type: string
        vcs_connection_commit:
          items:
            $ref: '#/components/schemas/app.VCSConnectionCommit'
          type: array
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
    app.Queue:
      properties:
        created_at:
          type: string
        created_by_id:
          type: string
        emitters:
          items:
            $ref: '#/components/schemas/app.QueueEmitter'
          type: array
        id:
          type: string
        idle_timeout:
          type: integer
        max_depth:
          type: integer
        max_in_flight:
          type: integer
        metadata:
          additionalProperties:
            type: string
          type: object
        name:
          type: string
        org_id:
          type: string
        owner_id:
          type: string
        owner_type:
          type: string
        queue_signal:
          items:
            $ref: '#/components/schemas/app.QueueSignal'
          type: array
        status_v2:
          $ref: '#/components/schemas/app.CompositeStatus'
        updated_at:
          type: string
        workflow:
          $ref: '#/components/schemas/signaldb.WorkflowRef'
      type: object
    app.CompositeStatus:
      properties:
        created_at_ts:
          type: integer
        created_by_id:
          type: string
        history:
          items:
            $ref: '#/components/schemas/app.CompositeStatus'
          type: array
        metadata:
          additionalProperties: {}
          type: object
        status:
          $ref: '#/components/schemas/app.Status'
        status_human_description:
          type: string
      type: object
    app.VCSConnectionCommit:
      properties:
        author_email:
          type: string
        author_name:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        message:
          type: string
        owner_id:
          description: Polymorphic ownership - references VCS config that owns this commit
          type: string
        owner_type:
          type: string
        sha:
          type: string
        updated_at:
          type: string
        vcs_connection_id:
          type: string
      type: object
    app.QueueEmitter:
      properties:
        created_at:
          type: string
        created_by_id:
          type: string
        cron_schedule:
          description: |-
            Schedule configuration
            For cron mode: cron expression (e.g., "0 * * * *")
          type: string
        description:
          type: string
        emit_count:
          type: integer
        fired:
          description: 'For scheduled mode: whether the signal has been fired'
          type: boolean
        id:
          type: string
        jitter_window:
          description: >-
            For cron mode: spread emitter ticks deterministically across this
            window

            to avoid thundering-herd when many emitters share a schedule. A hash
            of the

            emitter ID determines each emitter's static offset within the
            window. Zero

            disables jitter (default).
          type: integer
        last_emitted_at:
          type: string
        mode:
          allOf:
            - $ref: '#/components/schemas/app.QueueEmitterMode'
          description: 'Emitter mode: "cron" for recurring, "scheduled" for one-shot'
        name:
          description: Emitter identity
          type: string
        next_emit_at:
          type: string
        org_id:
          type: string
        queue_id:
          description: 'Many-to-one: each emitter belongs to exactly one queue'
          type: string
        scheduled_at:
          description: 'For scheduled mode: the time to fire the signal'
          type: string
        signal_expires_in:
          description: >-
            Optional TTL for emitted signals. When set, each emitted signal's
            ExpiresAt

            is computed as time.Now().Add(SignalExpiresIn) at emission time.
          type: integer
        signal_template:
          $ref: '#/components/schemas/signaldb.SignalData'
        signal_type:
          description: Signal template - the signal to emit on each tick
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/app.CompositeStatus'
          description: Runtime state using shared CompositeStatus
        updated_at:
          type: string
        workflow:
          allOf:
            - $ref: '#/components/schemas/signaldb.WorkflowRef'
          description: Workflow reference for the emitter's cron workflow
      type: object
    app.QueueSignal:
      properties:
        callback:
          $ref: '#/components/schemas/callback.Ref'
        callbacks:
          items:
            $ref: '#/components/schemas/callback.Ref'
          type: array
        created_at:
          type: string
        created_by_id:
          type: string
        emitter_id:
          description: 'Optional: if this signal was emitted by an emitter'
          type: string
        enqueued:
          type: boolean
        execution_count:
          type: integer
        expires_at:
          type: string
        id:
          type: string
        org_id:
          type: string
        owner_id:
          type: string
        owner_type:
          type: string
        queue:
          $ref: '#/components/schemas/app.Queue'
        queue_id:
          type: string
        signal:
          $ref: '#/components/schemas/signaldb.SignalData'
        signal_context:
          $ref: '#/components/schemas/cctx.SignalContext'
        status:
          $ref: '#/components/schemas/app.CompositeStatus'
        type:
          type: string
        updated_at:
          type: string
        workflow:
          $ref: '#/components/schemas/signaldb.WorkflowRef'
      type: object
    signaldb.WorkflowRef:
      properties:
        id:
          type: string
        namespace:
          type: string
        run_id:
          type: string
      type: object
    app.Status:
      enum:
        - error
        - pending
        - in-progress
        - checking-plan
        - success
        - not-attempted
        - cancelled
        - retrying
        - discarded
        - user-skipped
        - auto-skipped
        - planning
        - applying
        - queued
        - warning
        - failed-pending-retry
        - generating
        - awaiting-user-run
        - provisioning
        - active
        - outdated
        - expired
        - approved
        - drifted
        - no-drift
        - approval-expired
        - approval-denied
        - approval-retry
        - building
        - deleting
        - noop
        - approval-awaiting
      type: string
    app.QueueEmitterMode:
      enum:
        - cron
        - scheduled
        - fire_once
      type: string
    signaldb.SignalData:
      properties:
        signal: {}
      type: object
    callback.Ref:
      properties:
        namespace:
          type: string
        signal_name:
          type: string
        workflow_id:
          type: string
      type: object
    cctx.SignalContext:
      properties:
        account_id:
          type: string
        log_stream_id:
          type: string
        org_id:
          type: string
        trace_id:
          type: string
      type: object
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````